## Atari800_1-3-2_X11.zip

=== src/Makefile ===
CC = gcc
RC = windres

DEFS = -DHAVE_CONFIG_H
LIBS = -lX11 
TARGET = atari800.exe

#gcc -O2 -fno-strength-reduce -D__ST_MT_ERRNO__ -Zmtd -Zsysv-signals -Zomf -g
#-ID:/XFree86/include   -DX_LOCALE -DX_WCHAR   -DFUNCPROTO=15 -DNARROWPROTO


CFLAGS = -O2 -Id:\xfree86\include -D__ST_MT_ERRNO__ -Zmtd -Zsysv-signals -DX_LOCALE -DX_WCHAR   -DFUNCPROTO=15 -DNARROWPROTO
LDFLAGS = -s -Zmt -Zcrtdll -Zsysv-signals -Zbin-files -Ld:\xfree86\lib

INSTALL = y:/unixos2/bin/install.exe
INSTALL_PROGRAM = ${INSTALL} -s
INSTALL_DATA = ${INSTALL} -m 644

BIN_DIR = /usr/local/bin
MAN_DIR = /usr/local/share/man/man1
DOC_DIR = /usr/local/share/doc/atari800

DESTDIR =

OBJS = \
	atari.o \
	cpu.o \
	monitor.o \
	sio.o \
	devices.o \
	antic.o \
	gtia.o \
	pokey.o \
	pia.o \
	pbi.o \
	cartridge.o \
	rtime.o \
	prompts.o \
	rt-config.o \
	ui.o \
	ui_basic.o \
	binload.o \
	list.o \
	ataripcx.o \
	log.o \
	compfile.o \
	memory.o \
	statesav.o \
	colours.o \
	pokeysnd.o \
	mzpokeysnd.o \
	remez.o \
	sndsave.o \
	cassette.o \
	input.o \
	cycle_map.o \
	atari_x11.o diskled.o



all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $(DEFS) -I. $(CFLAGS) $<

%.ro: %.rc
	$(RC) --define WIN32 --define __MINGW32__ --include-dir . $< $@

%.o: %.cpp
	$(CC) -c -o $@ $(DEFS) -I. $(CFLAGS) $<

%.o: %.asm
	cd $(<D); xgen -L1 $(@F) $(<F)
	cd $(<D); gst2gcc gcc $(@F)

$(TARGET): $(OBJS)
	$(CC) -o $@ $(LDFLAGS) $(OBJS) $(LIBS)

dep:
	@if ! makedepend -Y $(DEFS) -I. ${OBJS:.o=.c} 2>/dev/null; \
	then echo warning: makedepend failed; fi

clean:
	rm -f *.o $(TARGET) core *.bak *~

distclean: clean
	-rm -f Makefile configure config.log config.status config.h
	-rm -rf autom4te.cache

install: $(TARGET) installdirs
	$(INSTALL_PROGRAM) $(TARGET) ${DESTDIR}${BIN_DIR}/$(TARGET)
	$(INSTALL_DATA) atari800.man ${DESTDIR}${MAN_DIR}/atari800.1
# install also the documentation
	$(INSTALL_DATA) ../COPYING     ${DESTDIR}${DOC_DIR}/COPYING
	$(INSTALL_DATA) ../README.1ST  ${DESTDIR}${DOC_DIR}/README.1ST
	$(INSTALL_DATA) ../DOC/README  ${DESTDIR}${DOC_DIR}/README
	$(INSTALL_DATA) ../DOC/INSTALL ${DESTDIR}${DOC_DIR}/INSTALL
	$(INSTALL_DATA) ../DOC/USAGE   ${DESTDIR}${DOC_DIR}/USAGE
	$(INSTALL_DATA) ../DOC/NEWS    ${DESTDIR}${DOC_DIR}/NEWS

install-svgalib: install
	chown root.root ${DESTDIR}${BIN_DIR}/$(TARGET)
	chmod 4755 ${DESTDIR}${BIN_DIR}/$(TARGET)

readme.html: $(TARGET)
	./$(TARGET) -help </dev/null | ../util/usage2html.pl \
		../DOC/readme.html.in ../DOC/USAGE ./atari.h > $@

doc: readme.html

installdirs:
	mkdir -p $(DESTDIR)$(BIN_DIR) $(DESTDIR)$(MAN_DIR) $(DESTDIR)$(DOC_DIR)

=== debian/changelog ===
atari800 (1.3.2-1) unstable; urgency=low

  * New upstream source and new maintainer (closes: #226787).
  * Debian/control: remove debhelper and sharutils from Build-Depends.
  * Debian/rules: handle DEB_BUILD_OPTIONS=noopt,
    clean: removes src/Makefile and src/config.{h,log,status}.
  * Update config.{guess,sub} from autotools-dev-20040105.1.
  * Patch src/rdevice.c::581,583 to use '/dev/ttyS0' on all archs.
  * Add some notes of new maintainer to README.Debian - thanks Dale.
 
 -- Martin Albert <ma@debian.org>  Thu, 19 Feb 2004 20:09:49 +0100

atari800 (1.3.1-2) unstable; urgency=low

  * Fixed broken syntax in last changelog entry. Closes: #203707
  * Changed dependency from xlib6g-dev to xlibs-dev. Closes: #209203
  * Repaired bad patch. Now deliver upstream changelog and NEWS
  * Updated /etc/atari800.cfg example in /usr/share/doc/atari800
  *                provided by upstream author.
  * Fixed several Lintian Warnings/Errors:
  *     Removed /usr/share/doc/atari800/INSTALL.gz
  *     Removed postinst usr-doc-link code
  *     Added copyright reference to /usr/share/common-licenses

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Wed,  8 Oct 2003 17:26:37 -0400

atari800 (1.3.1-1) unstable; urgency=low

  * new upstream source
  *        updated configure files.  Closes: #193397
  * removed svgalib version, security fix installed upstream. Closes 203707

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat,  6 Sep 2003 17:14:56 -0400

atari800 (1.3.0-2) unstable; urgency=low

  * changed build depends from xlib6g-dev to xlibs-dev and libncurses-dev
  *     to libncurses5-dev. Closes: #188777
  * new system wide config file example in /usr/share/doc/atari800/atari800.cfg
  *     for details see /usr/share/doc/atari800/README.Debian

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Tue, 13 May 2003 19:00:50 -0400

atari800 (1.3.0-1) unstable; urgency=low

  * new upstream source. (error in last entry ;-)
  * modified config and added sdl target to the build

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat, 12 Apr 2003 14:56:16 -0400

atari800 (1.2.2-1) unstable; urgency=low

  * new upstream source. Finally catching up...

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat, 16 Mar 2002 20:32:22 -0500

atari800 (1.0.7-3) unstable; urgency=low

  * Compiled against libncurses5-dev. Closes: #132589

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat,  9 Feb 2002 14:32:05 -0500

atari800 (1.0.7-2) unstable; urgency=low

  * Fixed rules file so svgalib version is only built/installed 
  *         on i386 architectures. Closes: #122282, #122779
  * Added patch to wrap LED_lastline in SET_LED #ifdef to allow reasonable
  *         feature selection. Thanks Stephen!
  * Fixed USAGE docs for curses mode keyboard controls to declare
  *         the F8 function key starts basic mode operations.

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Fri,  7 Dec 2001 11:47:05 -0500

atari800 (1.0.7-1) unstable; urgency=low

  * New upstream source. Closes: #81032
  * Changed Maintainer to match signature. Closes: #104829
  * Compiled with sound enabled. Closes: #70940

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat,  3 Nov 2001 17:25:15 -0500

atari800 (0.9.9f-3) unstable; urgency=low

  * Added sharutils to build-depends. Closes: #104829
  
 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Tue, 25 Sep 2001 12:46:15 -0400

atari800 (0.9.9f-2) unstable; urgency=low

  * new maintainer...

 -- Dale Scheetz <dwarf@polaris.net>  Sat, 26 Aug 2000 08:11:23 -0400

atari800 (0.9.9f-1) unstable; urgency=low

  * Hm, seems this is the package time forgot. I missed checking this into
    cvs when I converted, and then forgot about it.
  * New upstream version which fixes X. Closes: #57435
  * Several changes like build-depends and FHS.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  1 May 2000 15:35:26 -0700

atari800 (0.9.8a-2) unstable; urgency=low

  * Updated config file.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  9 Oct 1998 12:34:44 -0700

atari800 (0.9.8a-1) unstable; urgency=low

  * New upstream release.
  * No pristine source since upstream source is now a .zip file.
  * Corrected several apparent dos-isms in the source. Ugh.

 -- Joey Hess <joeyh@master.debian.org>  Tue,  6 Oct 1998 21:16:02 -0700

atari800 (0.8.6-3) unstable; urgency=low

  * Don't use icon=none in menu file.

 -- Joey Hess <joeyh@master.debian.org>  Wed,  5 Aug 1998 14:31:25 -0700

atari800 (0.8.6-2) unstable; urgency=low

  * Rebuilt with a newer svgalib.
  * Hacked debian/rules so it still depends on | svgalib-dummyg1.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 14 Mar 1998 17:44:03 -0800

atari800 (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Mar 1998 13:15:06 -0800

atari800 (0.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 21 Feb 1998 12:35:57 -0800

atari800 (0.8.2-2) unstable; urgency=low

  * Updated fsf address.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 13:05:46 -0800

atari800 (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 16 Jan 1998 14:34:10 -0500

atari800 (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Libc6.
  * Moved to contrib: depends on non-free roms.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  8 Sep 1997 18:43:42 -0400

atari800 (0.8.0-1) unstable; urgency=low

  * New upstream release
  	- Now has sound support!
  * Changed debian menu file to 1.0 format.
  * The X version no longer uses xview. This interface has been obsoleted by
    the menu system that appears if you hit F1.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 20 Apr 1997 22:06:04 -0400

atari800 (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Joey Hess <joeyh@master.debian.org>  Wed, 2 Apr 1997 18:58:37 -0500

atari800 (0.6.2-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: atari800
Section: contrib/otherosfs
Priority: optional
Maintainer: Martin Albert <ma@debian.org>
Build-Depends: xlibs-dev, libsdl1.2-dev, libncurses-dev, zlib1g-dev
Standards-Version: 3.1.1.1

Package: atari800
Architecture: any
Depends: ${shlibs:Depends}
Description: Atari emulator for X/curses/SDL
 This is an Atari emulator that can use X, plain curses or SDL.
 It can emulate the Atari 800, 800XL, 130XE, and 5200 systems.
 .
 The Atari Operating System ROMs are not available with this package, due to
 copyright. You'll have to either make copies of them from an old Atari
 computer, or see README.Debian for other ways to obtain them.

=== debian/rules ===
#!/usr/bin/make -f
#
# This is a debian/rules make file. It supports the targets:
# build, clean, binary-indep, binary-arch, and binary
#
# Package name variables
#
P=atari800

ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# Special Debian build options - nostrip yet un-handled
export CFLAGS
CFLAGS += -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O3
endif


# Build the binary components and assemble the libraries
# =====================================================================
build: 
	$(checkdir)
	debian/rules bld-x11
	debian/rules bld-curses
	debian/rules bld-sdl
	touch build

bld-sdl:
	cd src ; if [ -e Makefile ]; then $(MAKE) clean; fi
	cd src ; ./configure \
		 --target=sdl
	cd src ; $(MAKE)
	cp src/atari800 atari800.sdl

bld-x11:
	cd src ; if [ -e Makefile ]; then $(MAKE) clean; fi
	cd src ; ./configure \
		 --target=x11
	cd src ; $(MAKE)
	cp src/atari800 atari800.x11

bld-curses:
	cd src ; if [ -e Makefile ]; then $(MAKE) clean; fi
	cd src ; ./configure \
		 --target=ncurses
	cd src ; $(MAKE)
	cp src/atari800 atari800.curses

# Clean up after a build and before building a source package
#======================================================================
clean:
	$(checkdir)
	-rm -f build
	cd src ; if [ -e Makefile ]; then $(MAKE) clean; fi; \
	 rm -f config.log config.status config.h Makefile
	mv ./atari800.spec ./tmp ; rm -f atari800.* ; mv ./tmp ./atari800.spec
	-rm -rf	debian/tmp debian/*~ *~ *.orig *.log \
		debian/files* debian/substvars*

binary: binary-arch

# No binary independent components to this package
#======================================================================
binary-indep:
#
# No independent components
#
	echo "No independent binary components."

# Install package components into debian/tmp to be built into packages
#======================================================================
binary-arch:		checkroot build

# Clean out old tmp directory
#
	-rm -rf debian/tmp
	install -d debian/tmp

# Install installation scripts
#
	install -d debian/tmp/DEBIAN
	install -m 755 debian/postinst debian/tmp/DEBIAN/.
	install -m 755 debian/postrm debian/tmp/DEBIAN/.
	install -m 755 debian/prerm debian/tmp/DEBIAN/.

# Install docs in proper directory and gzip them
#
	install -d debian/tmp/usr/share/doc/$(P)
	cp debian/changelog debian/tmp/usr/share/doc/$(P)/changelog.Debian
	cp DOC/ChangeLog debian/tmp/usr/share/doc/$(P)/changelog
	cp DOC/NEWS debian/tmp/usr/share/doc/$(P)/NEWS
	cp DOC/CREDITS debian/tmp/usr/share/doc/$(P)/CREDITS
	cp DOC/README debian/tmp/usr/share/doc/$(P)/README
	cp DOC/USAGE debian/tmp/usr/share/doc/$(P)/USAGE
	gzip -9v debian/tmp/usr/share/doc/$(P)/*

# These are too small to gzip
#
	cp DOC/FAQ debian/tmp/usr/share/doc/$(P)/FAQ
	cp DOC/BUGS debian/tmp/usr/share/doc/$(P)/BUGS
	cp DOC/TODO debian/tmp/usr/share/doc/$(P)/TODO
	cp debian/README.Debian debian/tmp/usr/share/doc/$(P)/README.Debian
	cp debian/atari800.cfg debian/tmp/usr/share/doc/$(P)/atari800.cfg


# and don't gzip the copyright statement
#
	cp debian/copyright debian/tmp/usr/share/doc/$(P)/copyright

# install and gzip man page
#
	install -d debian/tmp/usr/share/man/man1
	install -m 644 src/$(P).man debian/tmp/usr/share/man/man1/$(P).1
	gzip -9 debian/tmp/usr/share/man/man1/$(P).1

# link other executables to the main manpage
#
	ln -s $(P).1.gz debian/tmp/usr/share/man/man1/$(P).sdl.1.gz
	ln -s $(P).1.gz debian/tmp/usr/share/man/man1/$(P).x11.1.gz
	ln -s $(P).1.gz debian/tmp/usr/share/man/man1/$(P).curses.1.gz

# install menu file
#
	install -d debian/tmp/usr/lib/menu
	install -m 644 debian/menu debian/tmp/usr/lib/menu/$(P)

# install binaries
#
	install -d debian/tmp/usr/bin
	install -s $(P).curses $(P).x11 debian/tmp/usr/bin
	install -s $(P).sdl debian/tmp/usr/bin/$(P)
#	(if [ "$(ARCH)" = "i386" ]; then install debian/$(P) debian/tmp/usr/bin; \
#	else install debian/$(P).alt debian/tmp/usr/bin/$(P); fi)

# Create dependency information
#
	dpkg-shlibdeps ./$(P).sdl ./$(P).x11 ./$(P).curses

# Generate control file for the package
#
	dpkg-gencontrol -p$(P) -isp

# Clean up file ownership
#
	chown -R root.root debian/tmp

# and permissions
#
	chmod -R g-ws debian/tmp

# and build the package
#
	dpkg --build debian/tmp ..	

define checkdir
	test -f ./atari800.spec
endef

# Below here is fairly generic really
checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
